<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @link      http://www.oxidmodule.com
 *
 *
 * Verfgbar sind folgende Variablen:
 *
 * $this->oUser  = Standard-User-Objekt
 * $this->oOrder = Standard-Order-Objekt
 * $aDate        = extrahiertes Bestelldatum [0] = Datum, [1] = Uhrzeit
*/

$sRecipient = 'CompanyName';

// SEPA-berweisung:
$sGermanLine_1 = "Bestell-Nr. " . $this->oOrder->getFieldData('oxordernr') ." - ". $aDate[0];
$sGermanLine_2 = "Kunden-Nr." . $this->oUser->getFieldData('oxcustnr') . " - " . $this->oUser->getFieldData(
    'oxfname'
) . " " . $this->oUser->getFieldData('oxlname');

// EU-berweisung:
$sForeignLine_1 = "Order-No. " . $this->oOrder->getFieldData('oxordernr') ." - ". $aDate[0];
$sForeignLine_2 = "Cust-No. " . $this->oUser->getFieldData('oxcustnr') . " - " . $this->oUser->getFieldData(
    'oxfname'
) . " " . $this->oUser->getFieldData('oxlname');

// EU-berweisung:
$sNonEuLine_1 = "Order:" . $this->oOrder->getFieldData('oxordernr') ." - ". $aDate[0];
$sNonEuLine_2 = "Cust:" . $this->oUser->getFieldData('oxcustnr');