[{block name="d3zahlungserinnerung_main"}]
    [{assign var="shop"      value=$oEmailView->getShop()}]
    [{assign var="oViewConf" value=$oEmailView->getViewConfig()}]
    [{assign var="oConf"     value=$oViewConf->getConfig()}]
    [{assign var="currency"  value=$oEmailView->getCurrency()}]
    [{assign var="user"      value=$oEmailView->getUser()}]
    [{assign var="oDelSet"   value=$order->getDelSet()}]
    [{assign var="basket"    value=$order->getBasket()}]
    [{assign var="payment"   value=$order->getPayment()}]
    [{assign var="sOrderId"  value=$order->getId()}]
    [{assign var="oOrderFileList"   value=$oEmailView->getOrderFileList($sOrderId)}]

    [{block name="d3zahlungserinnerung_header"}]
        [{include file="email/html/header.tpl" title=$shop->oxshops__oxordersubject->value}]
    [{/block}]

    [{block name="d3zahlungserinnerung_cmscontent"}]
        [{oxcontent ident="d3zahlungserinnerung"}]
        <br><br>
    [{/block}]

    [{block name="d3zahlungserinnerung_ordernumber"}]
    <strong>[{oxmultilang ident="D3_PAYREMIND_ORDERNOMBER"}] [{$order->oxorder__oxordernr->value}]</strong><br><br>
    [{/block}]
    [{block name="d3zahlungserinnerung_orderarticles_main"}]
    <table border="0" cellspacing="0" cellpadding="0" width="100%">
        [{block name="d3zahlungserinnerung_orderarticles_head"}]
        <tr>
            <td height="15" width="350" style="padding: 5px; border-bottom: 4px solid #ddd; font-size: 10px;">
                <strong>[{oxmultilang ident="D3_PAYREMIND_PRODUCT"}]</strong>
            </td>
            <td height="15" align="center" style="padding: 5px; border-bottom: 4px solid #ddd; font-size: 10px;">
                <strong>[{oxmultilang ident="D3_PAYREMIND_QUANTITY"}]</strong>
            </td>
            <td height="15" align="center" style="padding: 5px; border-bottom: 4px solid #ddd; font-size: 10px;">
                [{oxmultilang ident="D3_PAYREMIND_PRICE"}]
            </td>
        </tr>
        [{/block}]
        [{block name="d3zahlungserinnerung_orderarticles"}]
        [{foreach from=$order->getOrderArticles() item=oOrderArticle}]
            <tr valign="top">
                <td style="font-size: 10px; padding: 5px; border-bottom: 4px solid #ddd;">
                    [{oxmultilang ident="D3_PAYREMIND_ARTNOMBER"}] [{$oOrderArticle->oxorderarticles__oxartnum->value}]
                    <br>
                    [{$oOrderArticle->oxorderarticles__oxtitle->value}] [{$oOrderArticle->oxorderarticles__oxselvariant->value}]
                </td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 4px solid #ddd;" align="center">
                    [{$oOrderArticle->oxorderarticles__oxamount->rawValue}]
                </td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 4px solid #ddd;" align="right">
                    [{$oEmailView->d3getFormattedPrice($oOrderArticle->oxorderarticles__oxbprice->value)}] [{$sCurrency}]
                </td>
            </tr>
        [{/foreach}]
        [{/block}]

        [{* Preise *}]
        [{block name="d3zahlungserinnerung_orderprices"}]
        <tr>
            <td style="font-size: 10px; padding: 5px;">&nbsp;</td>
            <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;">
                [{oxmultilang ident="D3_PAYREMIND_ARTSUMNETTO"}]
            </td>
            <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                [{$order->getFormattedTotalNetSum()}] [{$sCurrency}]
            </td>
        </tr>
        <tr>
           <td style="font-size: 10px; padding: 5px;">&nbsp;</td>
           <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;">
                [{oxmultilang ident="D3_PAYREMIND_ARTSUMBRUTTO"}]
	       </td>
           <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                [{$order->getFormattedTotalBrutSum()}] [{$sCurrency}]
           </td>
        </tr>
        [{if $order->getFormattedTotalVouchers() != '0,00'}]
            <tr>
                <td style="font-size: 10px; padding: 5px;">&nbsp;</td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;">
                    [{oxmultilang ident="D3_GENERAL_VOUCHERS"}]
	            </td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                    [{$order->getFormattedTotalVouchers()}] [{$sCurrency}]
                </td>
            </tr>
        [{/if}]
        [{if $order->getFormattedPayCost() != '0,00'}]
            <tr>
                <td style="font-size: 10px; padding: 5px;">&nbsp;</td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;">
                    [{oxmultilang ident="D3_GENERAL_PAYCOST"}]
	        </td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                    [{$order->getFormattedPayCost()}] [{$sCurrency}]
                </td>
            </tr>
        [{/if}]
        [{if $order->getFormattedDiscount() != '0,00'}]
            <tr>
                <td style="font-size: 10px; padding: 5px;">&nbsp;</td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;">
                    [{oxmultilang ident="D3_GENERAL_DISCOUNT"}]
	            </td>
                <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                    - [{$order->getFormattedDiscount()}] [{$sCurrency}]
                </td>
            </tr>
        [{/if}]
        <tr>
            <td style="font-size: 10px; padding: 5px;">&nbsp;</td>
            <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;">
                [{oxmultilang ident="D3_SHIPPING_COSTS"}]
	        </td>
            <td style="font-size: 10px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                [{$order->getFormattedeliveryCost()}] [{$sCurrency}]
            </td>
        </tr>
        <tr>
            <td style="font-size: 12px; padding: 5px;">&nbsp;</td>
            <td style="font-size: 12px; padding: 5px; border-bottom: 2px solid #ccc;">
                <strong>[{oxmultilang ident="D3_PAYREMIND_GRANDTOTAL"}]</strong>
	        </td>
            <td style="font-size: 12px; padding: 5px; border-bottom: 2px solid #ccc;" align="right">
                <strong>[{$order->getFormattedTotalOrderSum()}] [{$sCurrency}]</strong>
            </td>
        </tr>
        [{/block}]
    </table>
    <br /><br />
    [{/block}]

    [{assign var="payment" value=$order->getPayment()}]
    [{block name="d3zahlungserinnerung_orderpayment"}]
    [{if $payment->oxuserpayments__oxpaymentsid->value != "oxempty" && $payment->oxpayments__oxdesc->value != ''}]
        <h3 style="font-weight: bold; margin: 20px 0 7px; padding: 0; line-height: 35px; font-size: 12px;font-family: Arial, Helvetica, sans-serif; text-transform: uppercase; border-bottom: 4px solid #ddd;">
            [{oxmultilang ident="D2_PAYMENT_HEADER"}]
        </h3>
        <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 5px 0 10px;">
            <strong>[{$payment->oxpayments__oxdesc->value}]</strong>
        </p>
    [{/if}]
    [{/block}]

    [{block name="d3zahlungserinnerung_orderbankdetails"}]
        [{if $order->oxorder__oxpaymenttype->value == "oxidpayadvance" || $payment->oxuserpayments__oxpaymentsid->value == 'oxidinvoice'}]
            <h3 style="font-weight: bold; margin: 20px 0 7px; padding: 0; line-height: 35px; font-size: 12px;font-family: Arial, Helvetica, sans-serif; text-transform: uppercase; border-bottom: 4px solid #ddd;">
                [{oxmultilang ident="D3_BANK_DETAILS"}]
            </h3>
            <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px;">
                [{oxmultilang ident="D3_PAYREMIND_BANK"}] [{$shop->oxshops__oxbankname->value}]<br>
                [{oxmultilang ident="D3_PAYREMIND_ROUTINGNOMBER"}] [{$shop->oxshops__oxbankcode->value}]<br>
                [{oxmultilang ident="D3_PAYREMIND_ACCOUNTNOMBER"}] [{$shop->oxshops__oxbanknumber->value}]<br>
                [{if $shop->oxshops__oxbiccode->value != ''}]
                    [{oxmultilang ident="D3_PAYREMIND_BIC"}] [{$shop->oxshops__oxbiccode->value}]<br>
                [{/if}]
                [{if $shop->oxshops__oxibannumber->value != ''}]
                    [{oxmultilang ident="D3_PAYREMIND_IBAN"}] [{$shop->oxshops__oxibannumber->value}]
                [{/if}]
                [{include file="d3_payremind_picture.tpl"}]
            </p>
        [{/if}]
        <br><br>
    [{/block}]

    <!-- Address info -->
    [{block name="d3zahlungserinnerung_orderaddresses"}]
        <h3 style="font-weight: bold; margin: 20px 0 7px; padding: 0; line-height: 35px; font-size: 12px;font-family: Arial, Helvetica, sans-serif; text-transform: uppercase; border-bottom: 4px solid #ddd;">
            [{oxmultilang ident="D3_ADDRESSES"}]
        </h3>
        <table border="0">
            <tr valign="top">
                <td style="padding-right:30px">
                    [{block name="d3zahlungserinnerung_orderbilladdress"}]
                    <h4 style="font-weight: bold; margin: 0; padding: 0 0 15px; line-height: 20px; font-size: 11px;font-family: Arial, Helvetica, sans-serif; text-transform: uppercase;">
                        [{oxmultilang ident="D3_BILLINGADDRESS"}]
                    </h4>
                    <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 0;">
                        [{$order->oxorder__oxbillcompany->value}]<br>
                        [{$order->oxorder__oxbillsal->value|oxmultilangsal}] [{$order->oxorder__oxbillfname->value}] [{$order->oxorder__oxbilllname->value}]<br>
                        [{if $order->oxorder__oxbilladdinfo->value}]
                            [{$order->oxorder__oxbilladdinfo->value}]<br>
                        [{/if}]
                        [{$order->oxorder__oxbillstreet->value}] [{$order->oxorder__oxbillstreetnr->value}]<br>
                        [{$order->oxorder__oxbillstateid->value}] [{$order->oxorder__oxbillzip->value}] [{$order->oxorder__oxbillcity->value}]<br>
                        [{$order->oxorder__oxbillcountry->value}]<br>
                        [{if $order->oxorder__oxbillustid->value}]
                            [{oxmultilang ident="D3_CUST_VATIDNOMBER"}] [{$order->oxorder__oxbillustid->value}]<br>
                        [{/if}]
                        [{oxmultilang ident="D3_CUST_PHONE"}] [{$order->oxorder__oxbillfon->value}]<br><br>
                    </p>
                    [{/block}]
                </td>
                [{if $order->oxorder__oxdellname->value}]
                    <td>
                        [{block name="d3zahlungserinnerung_orderdeladdress"}]
                        <h4 style="font-weight: bold; margin: 0; padding: 0 0 15px; line-height: 20px; font-size: 11px;font-family: Arial, Helvetica, sans-serif; text-transform: uppercase;">
                            [{oxmultilang ident="D3_SHIPPINGADDRESS"}]
                        </h4>
                        <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 0;">
                            [{$order->oxorder__oxdelcompany->value}]<br>
                            [{$order->oxorder__oxdelsal->value|oxmultilangsal}] [{$order->oxorder__oxdelfname->value}] [{$order->oxorder__oxdellname->value}]<br>
                            [{if $order->oxorder__oxdeladdinfo->value}]
                                [{$order->oxorder__oxdeladdinfo->value}]<br>
                            [{/if}]
                            [{$order->oxorder__oxdelstreet->value}] [{$order->oxorder__oxdelstreetnr->value}]<br>
                            [{$order->oxorder__oxdelstateid->value}] [{$order->oxorder__oxdelzip->value}] [{$order->oxorder__oxdelcity->value}]<br>
                            [{$order->oxorder__oxdelcountry->value}]
                        </p>
                        [{/block}]
                    </td>
                [{/if}]
            </tr>
        </table>
        <br><br>
    [{/block}]

    [{block name="d3zahlungserinnerung_orderfooter"}]
        [{include file="email/html/footer.tpl"}]
    [{/block}]
[{/block}]
